Deutsche Post Cross-Border offers international shipping services for lightweight parcels. ShipStation API merchants can use this cost-effective option to ship from Germany, France, and the UK.
This guide provides developers with the details needed to build Deutsche Post Cross-Border shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | This is a nickname for you to identify the carrier account in ShipStation API. |
client_id | string | required | Client ID |
customer_ekp | string | required | Customer EKP |
client_secret | string | required | Client Secret |
awb_copy_count | number | Optional | AWB Copy Count |
- Deutsche Post Cross-Border requires manifesting all shipments.
- Tax Identifiers: Tax IDs of the importer/recipient depend on the country:
- VOEC and IOSS for Norway
- IOSS or EORI/VAT for other European countries
- VAT for other non-European countries
You can connect a Deutsche Post Cross-Border account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
For instructions on connecting Deutsche Post Cross-Border via the ShipStation API dashboard, go to our Deutsche Post Cross-Border help article.
carrier_name: deutsche_post_cross_border
POST /v1/connections/carriers/:carrier_name
POST /v1/connections/carriers/deutsche_post_cross_border HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "Test Deutsche Post Cross-Border Account",
"client_id": "your_client_id_here",
"client_secret": "your_client_secret_here",
"customer_ekp": "your_customer_ekp_here"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Deutsche Post Cross-Border does not send estimated rates to ShipStation API. Your Deutsche Post Cross-Border account contact can provide you with the details about your contracted rates.
Available Deutsche Post Cross-Border services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code |
|---|---|
| Packet Priority | packet_priority |
| Packet Tracked | packet_tracked |
Not all services listed are available to every Deutsche Post Cross-Border account. We recommend you check with Deutsche Post so you know which services are available to your account, or use the List Services call.
NOTE: As of 1 January 2025, the Packet Plus and Packet Standard services are no longer offered by this carrier. While they may still appear when you list services, the carrier no longer offers them and you may receive an error if attempting to create a label.
Return services are not supported for this carrier.
The following carrier package types are available for Deutsche Post Cross-Border services:
| Name | API Code | Package Attributes |
|---|---|---|
| Package | box | International |
Deutsche Post Cross-Border does not support adding carrier insurance.
- Label sizes: 4" x 6"
- Label formats: PDF, PNG, ZPL
Deutsche Post Cross-Border supports adding one custom label message.
- Label Message 1 is mapped to the “custRef” field on label. This data is pulled from the
shipment.packages[0].label.referenceFields[0]property.
Deutsche Post Cross-Border does not support creating multi-package shipments.
Deutsche Post Cross-Border does not support label branding.
While labels can be voided through ShipStation API, but this doesn’t void the label on your Deutsche Post Cross-Border account. In general, voiding is not needed as long as the canceled parcel is not included in the manifest file.
See our Void a Label page for details about voiding labels with ShipStation API.
Deutsche Post Cross-Border does not support paperless labels.
- The CN22 customs declarations form prints directly on the label for shipments valued less than or equal to SDR 300.00 (EUR 368.00). No additional documents needs to be downloaded or printed.
- The CN22 is always generated for non-EU shipments, and the data is transferred to relevant customs authorities accordingly.
- If you require a CN23 form, you must create it outside of ShipStation API.
Deutsche Post Cross-Border does not support any delivery confirmation options other than none.
Deutsche Post Cross-Border does not support any advanced options.
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
Deutsche Post Cross-Border requires manifesting all shipments. See our Manifests page for more details about creating manifests with ShipStation API.
Deutsche Post Cross-Border does not support scheduling a pickup with ShipStation API.
Deutsche Post Cross-Border does not support shipping to service points.
ShipStation API's integration with Deutsche Post Cross-Border supports receiving tracking updates for Packet Tracked and Packet Plus service sonly. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.